@font-face {
    font-family: "Galaxy";
    src: url("./fonts/ABCGravity-Normal.woff") format("woff");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.dotted {
    width: 100%;
    background:
        linear-gradient(
                90deg,
                var(--dot-bg) calc(var(--dot-space) - var(--dot-size)),
                transparent 1%
            )
            center / var(--dot-space) var(--dot-space),
        linear-gradient(
                var(--dot-bg) calc(var(--dot-space) - var(--dot-size)),
                transparent 1%
            )
            center / var(--dot-space) var(--dot-space),
        var(--dot-color);
}

:root {
    --wrapper-max-width: 1240px;
    --dot-color: #777;
}

::selection {
    background: var(--color-primary-fill-normal);
}

.p-lg {
    font-size: var(--text-2xl);
}

h1 {
    font-weight: 400;
    font-size: 5rem;
    line-height: 1;
    letter-spacing: -1px;
    font-family: "Galaxy", "General Sans", sans-serif;
}

.site-header {
    background: var(--background-color);
    padding: 1rem 4rem;
    border-bottom: 2px solid var(--standout-color);
    position: fixed;
    width: 100%;
    z-index: 4;
    --wrapper-max-width: 1440px;
    .layout-toolkit & {
        position: relative;
        --wrapper-max-width: 9999px;
        padding: 1rem 0;
        padding: var(--space-xs) 0;
        .logo img {
            height: 32px;
        }
    }
}
.site-header .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 0;
}
.site-header [variant="primary"] {
    margin-left: 1rem;
}
.logo {
    rotate: -1.2deg;
    transition: all 0.3s ease;
}
.logo:hover {
    rotate: 1deg;
    opacity: 1;
}
.logo img {
    height: 2.7rem;
}

.hero h1,
.inverted-heading {
    text-shadow: 0 0 0 2px black;
    color: white;
    paint-order: stroke fill;
    text-shadow: 0.1em 0.1em 0 black;
    -webkit-text-stroke: 0.1em black;
}

.hero {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    padding-top: 7rem;
    --wrapper-max-width: 1440px;
    z-index: 1;
    position: relative;
    text-align: center;
}
.heroContent {
    max-width: 1200px;
    margin: auto;
}
.heroContent p,
.large-p {
    max-width: 720px;
    font-size: 1.5rem;
    margin: auto;
    margin-top: 1rem;
    line-height: 1.4;
}
.heroButtons {
    display: flex;
    gap: 24px;
    align-items: center;
    justify-content: center;
    margin-top: 3rem;
}
.heroImages {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    width: 100%;
    max-width: 1400px;
    margin-top: -4rem;
}
.main-section {
    border-top: 2px solid;
    padding-top: var(--space-2xl);
    padding-bottom: var(--space-xl);
    margin-top: var(--space-3xl);
    .dotted + & {
        margin-top: 0;
    }
    &.dotted {
        padding-bottom: var(--space-3xl);
    }
}
.trusted {
    padding: 2rem;
    padding-top: 2.8rem;
    border-radius: 8px;
    border: 2px solid var(--standout-color);
    background: var(--background-color);
    display: flex;
    margin: auto;
    align-items: center;
    justify-content: center;
    width: auto;
    margin-top: -6rem;
    gap: 6rem;
    max-width: 990px;
    z-index: 999;
    background: white;
}
@media (max-width: 1020px) {
    .trusted {
        margin-left: 80px;
        margin-right: 80px;
    }
}
.trusted md-callout {
    margin-top: -8rem;
    padding-left: 2rem;
    padding-right: 2rem;
    font-size: 0.9rem;
    font-weight: 500;
    position: absolute;
    .md-callout {
        background: var(--color-primary-fill-quiet);
    }
}

.course p {
    max-width: 750px;
}
.prose-stack {
    padding-top: var(--space-lg);
}
.prose-stack * + * {
    padding-top: var(--space-lg);
}
.intro-stack {
    display: grid;
    grid-template-columns: 1fr auto;
    position: relative;
    margin-bottom: var(--space-2xl);
    img {
        position: absolute;
        right: 64px;
        bottom: -24px;
        width: 188px;
    }
    p {
        max-width: 750px;
    }
}
.course-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: var(--space-lg);
    padding-top: var(--space-2xl);
}

.course-grid > .chonk,
.book-callouts > .chonk {
    border-radius: 12px;
    padding: var(--space-xs);
    border: 2px solid;
    display: grid;
    grid-template-columns: auto 1fr;
    gap: var(--space-md);
    align-items: center;
    transform: rotate(1.2deg);
    box-shadow: var(--shadow-chonker);
    background: var(--color-surface-default);
    &:nth-child(2n) {
        transform: rotate(-1.2deg);
    }
    i {
        font-size: 42px;
    }
    .icon-container {
        padding: var(--space-3xs);
        background: var(--color-secondary-fill-quiet);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 12px;
        border: 2px solid;
        aspect-ratio: 1;
        :nth-child(2n) > & {
            background: var(--color-primary-fill-quiet);
        }
    }
    h3 {
        font-weight: 520;
        font-size: var(--size-step-2);
    }
    p {
        margin-top: var(--space-sm);
        font-size: var(--text-lg);
    }
}

.course-details,
.book-details {
    --wrapper-max-width: 1340px;
    border: 2px solid;
    border-radius: 24px;
    padding: var(--space-2xl);
    margin-top: var(--space-2xl);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: var(--space-2xl);
    h2 {
        font-size: var(--size-step-6);
        text-align: center;
        margin-top: var(--space-lg);
        font-family: "Galaxy", sans-serif;
    }
    .tonnes {
        margin-top: var(--space-lg);
        text-align: center;
        margin-top: var(--space-xl);
        md-callout {
            margin-bottom: var(--space-sm);
        }
    }
}

.course-buttons {
    border-radius: 24px;
    margin-top: var(--space-xl);
    display: flex;
    gap: var(--space-lg);
    align-items: center;
    justify-content: center;
}

.mdxp {
    border-radius: 999px;
    background: var(--color-primary-fill-quiet);
    display: inline-flex;
    align-items: center;
    padding: var(--space-xs) var(--space-lg);
    padding-bottom: var(--space-2xs);
    margin-top: var(--space-2xl);
    border: 2px solid;
    position: relative;
    rotate: -1.8deg;
    .pic {
        position: absolute;
        width: 34px;
        left: -8px;
        top: -12px;
    }
    .md {
        position: absolute;
        width: 44px;
        right: -19px;
        bottom: -7px;
        transform: rotate(14deg);
    }
}

.testimonials .intro {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: var(--space-lg);
    h1 {
        text-align: center;
    }
    p {
        text-align: center;
        margin-top: var(--space-md);
        max-width: 750px;
    }
}

.testimonial-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: var(--space-xl);
    row-gap: var(--space-3xl);
    & > .chonk {
        padding: var(--space-lg);
        border: 2px solid;
        border-radius: 12px;
        background: var(--color-surface-default);
        position: relative;
        .quote-icon {
            border-radius: 999px;
            padding: 3px;
            background: var(--color-secondary-fill-quiet);
            display: inline-flex;
            position: absolute;
            top: -16px;
            left: -16px;
            border: 2px solid;
            aspect-ratio: 1;
            align-items: center;
            rotate: -4.8deg;
            :nth-child(2n) > & {
                background: var(--color-primary-fill-quiet);
            }
        }
        i {
            font-size: 32px;
        }
        blockquote {
            font-size: var(--size-step-2);
            margin-bottom: var(--space-md);
            :before,
            :after {
                display: none;
            }
            & > p {
                font-weight: 480;
            }
            & + p {
                font-weight: 520;
                b {
                    display: block;
                    font-weight: 480;
                }
            }
        }
        .quote-avatar {
            width: 94px;
            border-radius: 999px;
            border: 2px solid;
            position: absolute;
            right: -16px;
            bottom: -26px;
            rotate: 4deg;
        }
    }
}
.book .intro-stack {
    padding-bottom: var(--space-sm);
}
.book-grid {
    display: grid;
    grid-template-columns: 2fr 3fr;
    gap: var(--space-xl);
    width: 100%;
    padding-top: var(--space-xl);
    padding-bottom: var(--space-xl);
    & > img {
        max-width: 400px;
        border-radius: 24px;
        border: 2px solid;
        rotate: -4.482deg;
        translate: -10px 0;
    }
}

.book-callouts {
    height: fit-content;
    justify-content: center;
    h2 {
        font-size: var(--size-step-7);
    }
    p {
        font-size: var(--size-step-2);
        text-align: center;
        margin-top: calc(var(--space-lg) - 2px);
        margin-bottom: var(--space-lg);
        line-height: 1.6;
    }
}

.book-buttons {
    display: flex;
    flex-direction: column;
    gap: var(--space-md);
    align-items: center;
    justify-content: center;
}

.callout-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--space-lg);
    & > .chonk {
        border-radius: 12px;
        padding: var(--space-xs);
        border: 2px solid;
        display: grid;
        grid-template-columns: auto 1fr;
        gap: var(--space-md);
        align-items: center;
        box-shadow: var(--shadow-chonker);
        background: var(--color-surface-default);
        i {
            font-size: 32px;
        }
        .icon-container {
            padding: var(--space-3xs);
            background: var(--color-secondary-fill-quiet);
            display: inline-flex;
            align-items: center;
            justify-content: center;
            border-radius: 12px;
            border: 2px solid;
            aspect-ratio: 1;
            :nth-child(2n) > & {
                background: var(--color-primary-fill-quiet);
            }
        }
        h3 {
            font-weight: 520;
            font-size: var(--size-step-2);
        }
        p {
            margin-top: var(--space-sm);
            font-size: var(--text-lg);
        }
    }
    & > .tonnes-more {
        grid-column-start: 2;
        display: none;
    }
}

.main-section > .wrapper {
    --wrapper-padding-inline: var(--space-xl);
}

.sidebar {
    --sidebar-size: 280px;
    border-right: 2px solid;
    overflow: auto;
    height: calc(100vh - 66px);
    padding-bottom: var(--space-lg);
}

.sidebar-section {
    padding: var(--space-sm);
    h3 {
        font-size: var(--size-step-0);
        padding: var(--space-3xs) var(--space-xs);
        margin-bottom: var(--space-2xs);
        font-weight: 520;
    }
    nav a {
        display: block;
        text-decoration: none;
        padding: var(--space-3xs) var(--space-xs);
        font-weight: 440;
        border-radius: 8px;
        &.active {
            border: 2px solid;
            box-shadow: 0 2px 0 var(--color-black);
            background: var(--color-primary-fill-quiet);
            &:hover {
                background: var(--color-primary-fill-normal);
            }
        }
        &:hover {
            background: var(--color-neutral-fill-quiet);
        }
    }
}

.with-sidebar {
    overflow: hidden;
    height: calc(100vh - 78px);
}

.with-sidebar main {
    overflow: auto;
    height: calc(100vh - 78px);
    --wrapper-max-width: 940px;
    padding-top: var(--space-xl);
    padding-bottom: var(--space-2xl);
    .prose {
        font-size: var(--size-step-2);
        & > * + * {
            margin-top: var(--space-sm);
        }
        h2 {
            padding-top: var(--space-md);
            font-size: var(--size-step-5);
        }
        md-note {
            margin-top: var(--space-md);
            margin-bottom: var(--space-md);
            .note-icon-container {
                background: white;
            }
        }
    }
    h1 {
        font-size: var(--size-step-7);
        margin-top: var(--space-lg);
        margin-bottom: var(--space-md);
    }
    &:has(.toolkit-meta) h1 {
        margin-bottom: 0;
    }
    .toolkit-meta {
        margin-top: var(--space-sm);
        margin-bottom: var(--space-sm);
        display: flex;
        gap: var(--space-md);
    }
}

.key {
    border: 1px solid;
    border-radius: 4px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 2px 2px;
    box-shadow: 0 1px 0 black;
    font-size: 14px;
    translate: 0 -2px;
    &.square {
        aspect-ratio: 1;
    }
}

.badge {
    display: inline-flex;
    align-items: center;
    gap: var(--space-3xs);
    border: 2px solid;
    border-radius: 999px;
    padding: var(--space-3xs) var(--space-sm);
    font-weight: 520;
    &.primary {
        background: var(--color-primary-fill-quiet);
    }
    &.secondary {
        background: var(--color-secondary-fill-quiet);
    }
    &:has(i) {
        padding-left: var(--space-2xs);
    }
}

.toolkit-resources {
    display: flex;
    gap: var(--space-md);
    align-items: center;
    justify-content: center;
    border: 2px solid;
    padding: var(--space-2xl);
    border-radius: 12px;
    margin-top: var(--space-xl);
}

main {
    border-top: 2px solid black;
    background: white;
    padding-top: 2rem;
    margin-top: -4rem;
    z-index: 2;
    position: relative;
    min-height: 100vh;
}
